import React from 'react';
import { StyleSheet, Text, Image, TouchableOpacity, ImageBackground, View, SafeAreaView, AsyncStorage } from 'react-native';
import AppNavigation from './App/Navigation/AppNavigation';
import { Metrics, Colors, Images } from './App/Themes';
import { TextField } from 'react-native-material-textfield';
import {LinearGradient} from 'expo';

export default class App extends React.Component {

  async componentDidMount() {
    console.log("Main screen did mount");
  }

  state = {
    current_user: '',
    username: '',
    password: '',
  }

  onSubmit = () =>{
    console.log("log in");
    if (this.state.username != '' && this.state.password != ''){
      this.setState({current_user: 'guest'});
    }
  }

  login = () => {
    this.setState({current_user: 'guest'});
    console.log("log in");
  }

  render(){
    return(
      <LinearGradient colors={['#dd4f60', '#985695']} 
          start={{ x: 0, y: 1 }}
          end={{ x: 1, y: 1 }}
          style={{ flex: 1}}>
      <SafeAreaView style={styles.container}>
        {this.state.current_user != "" && <AppNavigation/>}
        {
          this.state.current_user == "" &&
          <TouchableOpacity onPress={this.login} style={styles.alternativeContainer}>
            <ImageBackground
              source={Images.login_screen}
              style={styles.stretch}
              onPress={() => this.login()}
            >
            </ImageBackground>
          </TouchableOpacity>
        }
      </SafeAreaView>
      </LinearGradient>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    // backgroundColor: '#026010',
  },
  stretch: {
    width: '100%',
    height: '100%',
  },
  alternativeContainer: {
    flex: 1,
    height: Metrics.screenHeight,
    width: Metrics.screenWidth,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'transparent',
    flexDirection: 'column',
    borderWidth: 1,
  },
  loginContainer:{
    paddingTop: Metrics.screenHeight*0.40,
    height: Metrics.screenHeight*0.8,
    width: Metrics.screenWidth*0.8,
    justifyContent: 'flex-start',
  },
  title: {
    textAlign: 'center',
    color: Colors.snow,
    fontSize: Metrics.baseFontSize*3,
  }
});
