import { TabNavigator, StackNavigator } from 'react-navigation'
import React from 'react';
import { Images, Colors, Metrics } from '../Themes'
import { StyleSheet, Image, Text, View } from 'react-native';
import ShoppingListsScreen from '../Screens/ShoppingLists';
import AddItemScreen from '../Screens/AddItem';
import GroupListScreen from '../Screens/GroupList';
import NotificationsScreen from '../Screens/Notifications';
import ProfileScreen from '../Screens/Profile';
import HistoryScreen from '../Screens/History';
import CheckInScreen from '../Screens/CheckIn';
import ActiveShoppingScreen from '../Screens/ActiveShoppingList';
import AttachReceiptScreen from '../Screens/AttachReceipt';
import ChargingScreen from '../Screens/Charging';
import LinearGradient from 'expo';

const OverallShoppingListsNav = TabNavigator({
  ShoppingList: { screen: ShoppingListsScreen},
  GroupList: {screen: GroupListScreen }
},
{
  swipeEnabled: false,
  animationEnabled: false,
  tabBarPosition: 'top',
  tabBarOptions: {
    activeTintColor: "white",
    inactiveTintColor: "#878888",
    showLabel: true,
    showIcon: false,
    labelStyle: {
      fontSize: 20,
    },
    style: {
      backgroundColor: "#ba5982",
    }

  },
}
)

const ActiveShoppingScreenNav = StackNavigator({
  CheckIn: {screen: CheckInScreen},
  ActiveShopping: {screen: ActiveShoppingScreen},
  AttachReceipt: {screen: AttachReceiptScreen},
  Charging: {screen: ChargingScreen}
  }, 
  {
    headerMode: 'none',
    navigationOptions: {
        headerVisible: false,
    }
})

// Manifest of possible screens
const PrimaryNav = StackNavigator({
  ShoppingListTest: {screen: TabNavigator({
          ShoppingLists: { screen: OverallShoppingListsNav },
          Notifications : { screen: NotificationsScreen },
          Shopping: {screen: ActiveShoppingScreenNav},
          History: {screen: HistoryScreen},
          Profile: {screen: ProfileScreen},
        }, {
          // Default config for all screens
          initialRouteName: 'ShoppingLists',
          tabBarPosition: 'bottom',
          tabBarOptions: {
            activeTintColor: "#d13e56",
            inactiveTintColor: "#878888",
            showLabel: false,
            showIcon: true,
            labelStyle: {
              fontSize: 20,
            },
            style: {
              backgroundColor: "#dddddd",
              paddingTop: Metrics.doubleBaseMargin,
              paddingBottom: Metrics.doubleBaseMargin,
            }

          },
        }),
   navigationOptions: { 

    }
 },
  AddItemScreen: { screen: AddItemScreen }, 
}, {
    headerMode: 'float',
    navigationOptions: {
        headerVisible: false,
        headerStyle: {
          elevation: 0,
          borderBottomWidth: 0,
          backgroundColor: '#fff', 
          elevation:0,

      
        },
        // headerTitleStyle: {
        //   color: Colors.snow,
        //   fontSize: 25,
        // },
      },



})

export default PrimaryNav
