import React from 'react';
import { StyleSheet, Text, SafeAreaView, View, AsyncStorage, Image, TouchableOpacity, FlatList, Button } from 'react-native';
import { material } from 'react-native-typography';
import { Metrics, Colors, Images } from '../Themes';
import { Entypo, FontAwesome, Ionicons, MaterialCommunityIcons } from '@expo/vector-icons';
import {LinearGradient} from 'expo';

export default class NotificationsScreen extends React.Component {

  static navigationOptions = ({ navigation }) => {
      return {
        headerTitleStyle: {
          color: Colors.snow,
          fontSize: 25,
          textAlign: 'center',
          alignSelf: 'center',
        },
        headerBackground: (
        <LinearGradient colors={['#dd4f60', '#985695']} 
          start={{ x: 0, y: 1 }}
          end={{ x: 1, y: 1 }}
          style={{ flex: 1}}>
        </LinearGradient>
      ),
        headerTitle: 'Profile',
        headerStyle:{
          borderBottomWidth: 0,
          shadowColor: 'transparent',
           borderTopColor: "transparent",
           elevation: 0,
shadowOpacity: 0
        },
        // title: 'Notifications',
        tabBarIcon: ({ tintColor }) =>(
        <Ionicons name="md-person"
              size={Metrics.tabBarIcon}
              color={tintColor}
              />
        ),
     };
  };

  state = {
    notifications: [
      {message:'You are currently near', title: 'Safeway Palo Alto', subtext: '(2.5)mi', action: 'Go Shopping', color: "#e2e3e4"},
      {message:'Fabian has some important items to buy', title: 'Lay\'s Chip Vinegar Salt', subtext: '(and 6 more items)', action: 'Group List', color: "#e2e3e4"},
      {message:'You have Pending Payments for Fabian', title: '$36.12', subtext: '(September 30)', action: 'Pay Fabian Back', color: "#efd5e1"},
      {message:'You have Pending Payments for S', title: '$36.12', subtext: '(September 30)', action: 'Pay Fabian Back', color: "#efd5e1"},
    ],
  }

  onPressClear = () => {
    this.setState({notifications: []});
  }

  render() {
    return (
        <View style = {styles.container}>
          <Image
            style={styles.stretch}
            resizeMode='stretch'
            source={Images.profile_screen}
          />
        </View>


    );
  }
}

const styles = StyleSheet.create({
  container:{
    flex: 1,
    backgroundColor: 'white'
  },
  test: {
    flex: 0.8,
  },
  stretch: {
    flex: 1,
    alignSelf: 'stretch',
    // alignSelf: 'center',
    // width: 0.8*Metrics.screenWidth,
    width: Metrics.screenWidth,
    height: undefined
  },
  contentHeader: {
    flex: 1,
    flexDirection: 'column',
  },
  iconContainer: {
    // backgroundColor: "white",
    flex: 1,
    alignItems: "flex-end",
  },
  notification: {
    // backgroundColor: "#e2e3e4",
    flex: 0.10,
    margin: Metrics.smallMargin,
    flexDirection: "column",
    elevation: Metrics.smallMargin*2,
    shadowOpacity: 0.50,
    shadowRadius: 3,
    shadowColor: 'black',
    shadowOffset: { height: 1, width: 2 },
    borderRadius: Metrics.baseMargin,
    padding: 2,
  },
   group: {
    alignItems: "flex-start",
    justifyContent: "space-between",
  },
  topicText: {
    flexDirection: "row",
    alignItems: "flex-start",
    margin: 5,
  }

});
